




#ifndef Wagnis_Player_h
#define Wagnis_Player_h

#include "OrxonoxPrereqs.h"
#include "core/CoreIncludes.h"
#include "core/XMLPort.h"
#include <vector>
#include <string>



namespace orxonox
{
    class WagnisPlayer : public OrxonoxClass
    {
    public:
        WagnisPlayer(Context*);
        virtual ~WagnisPlayer();

        void playerTurn(WagnisGameboard*);
        bool checkMove(WagnisGameboard*,WagnisProvince*,WagnisProvince*)
        void setTroops(WagnisGameboard*,WagnisProvince*);
        void attack(WagnisGameboard*,WagnisProvince*,WagnisProvince*);
        void moveTroops(WagnisGameboard*,WagnisProvince*,WagnisProvince*);
        std::string toString();

    private:
        int Player_ID;

    };
}


#endif
